Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail.event
Interface MessageCountListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  MessageCountAdapter

    public interface MessageCountListener

extends EventListener

This is the Listener interface for MessageCount events.

Method Summary
`void` | `messagesAdded(MessageCountEvent e)` Invoked when messages are added into a folder.
`void` | `messagesRemoved(MessageCountEvent e)` Invoked when messages are removed (expunged) from a folder.

Method Detail

### messagesAdded

    void messagesAdded(MessageCountEvent e)

  Invoked when messages are added into a folder.

### messagesRemoved

    void messagesRemoved(MessageCountEvent e)

  Invoked when messages are removed (expunged) from a folder.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Sun Microsystems, Inc.. All Rights Reserved.